org.apache.ignite.platform.dotnet

## Class PlatformDotNetBinaryConfiguration

- java.lang.Object
- - org.apache.ignite.platform.dotnet.PlatformDotNetBinaryConfiguration

    public class PlatformDotNetBinaryConfiguration
    extends Object

Mirror of .Net class BinaryConfiguration.cs

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetBinaryConfiguration()` Default constructor.
`PlatformDotNetBinaryConfiguration(PlatformDotNetBinaryConfiguration cfg)` Copy constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDefaultIdMapper()`
`String` `getDefaultNameMapper()`
`String` `getDefaultSerializer()`
`Collection<String>` `getTypes()`
`Collection<PlatformDotNetBinaryTypeConfiguration>` `getTypesConfiguration()`
`boolean` `isDefaultKeepDeserialized()` Gets default keep deserialized flag.
`PlatformDotNetBinaryConfiguration` `setDefaultIdMapper(String dfltIdMapper)`
`PlatformDotNetBinaryConfiguration` `setDefaultKeepDeserialized(boolean keepDeserialized)` Sets default keep deserialized flag.
`PlatformDotNetBinaryConfiguration` `setDefaultNameMapper(String dfltNameMapper)`
`PlatformDotNetBinaryConfiguration` `setDefaultSerializer(String dfltSerializer)`
`PlatformDotNetBinaryConfiguration` `setTypes(Collection<String> types)`
`PlatformDotNetBinaryConfiguration` `setTypesConfiguration(Collection<PlatformDotNetBinaryTypeConfiguration> typesCfg)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetBinaryConfiguration

    public PlatformDotNetBinaryConfiguration()

Default constructor.

#### PlatformDotNetBinaryConfiguration

    public PlatformDotNetBinaryConfiguration(PlatformDotNetBinaryConfiguration cfg)

Copy constructor.

Parameters:
  `cfg` - configuration to copy.

### Method Detail

#### getTypesConfiguration

    public Collection<PlatformDotNetBinaryTypeConfiguration> getTypesConfiguration()

Returns:
  Type cfgs.

#### setTypesConfiguration

    public PlatformDotNetBinaryConfiguration setTypesConfiguration(Collection<PlatformDotNetBinaryTypeConfiguration> typesCfg)

Parameters:
  `typesCfg` - New type cfgs.
Returns:
  `this` for chaining.

#### getTypes

    public Collection<String> getTypes()

Returns:
  Types.

#### setTypes

    public PlatformDotNetBinaryConfiguration setTypes(Collection<String> types)

Parameters:
  `types` - New types.
Returns:
  `this` for chaining.

#### getDefaultNameMapper

    public String getDefaultNameMapper()

Returns:
  Default name mapper.

#### setDefaultNameMapper

    public PlatformDotNetBinaryConfiguration setDefaultNameMapper(String dfltNameMapper)

Parameters:
  `dfltNameMapper` - New default name mapper.
Returns:
  `this` for chaining.

#### getDefaultIdMapper

    public String getDefaultIdMapper()

Returns:
  Default id mapper.

#### setDefaultIdMapper

    public PlatformDotNetBinaryConfiguration setDefaultIdMapper(String dfltIdMapper)

Parameters:
  `dfltIdMapper` - New default id mapper.
Returns:
  `this` for chaining.

#### getDefaultSerializer

    public String getDefaultSerializer()

Returns:
  Default serializer.

#### setDefaultSerializer

    public PlatformDotNetBinaryConfiguration setDefaultSerializer(String dfltSerializer)

Parameters:
  `dfltSerializer` - New default serializer.
Returns:
  `this` for chaining.

#### isDefaultKeepDeserialized

    public boolean isDefaultKeepDeserialized()

Gets default keep deserialized flag. See `setDefaultKeepDeserialized(boolean)` for more information.

Returns:
  Flag indicates whether to cache deserialized value in IGridBinaryObject.

#### setDefaultKeepDeserialized

    public PlatformDotNetBinaryConfiguration setDefaultKeepDeserialized(boolean keepDeserialized)

Sets default keep deserialized flag.

Can be overridden for particular type using `PlatformDotNetBinaryTypeConfiguration.setKeepDeserialized(Boolean)`.

Parameters:
  `keepDeserialized` - Keep deserialized flag.
Returns:
  `this` for chaining.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018